Bug 152498 - freedroidrpg: lvalue-related build failure with gcc4
freedroidrpg: lvalue-related build failure with gcc4
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: freedroidrpg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: MoveUpstream, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 16:51 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-10 01:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-03-29 16:51:40 EST
map.c:2213: error: invalid lvalue in assignment

Possible fix, awaiting upstream comments:
http://sourceforge.net/tracker/index.php?func=detail&aid=1165999&group_id=54521&atid=474016
Comment 1 Ville Skyttä 2005-06-10 01:43:06 EDT
Either my fix is crap, or there are other things that result in runtime crashes
when built with gcc4.  Anyway, I'll build the FC4+ versions with compat-gcc-32.

(Package is up for grabs, BTW:
http://fedoraproject.org/wiki/Extras/OrphanedPackages)

Note You need to log in before you can comment on or make changes to this bug.